// -----------------------------------------------------------------------------
// COPYRIGHT (C) 2020 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 26 Oct, 2020 
//
// THIS FILE IS A PART OF LSF_Toolbox 
// -----------------------------------------------------------------------------


// Callback for Choose radiobutton 
// it sets the x and y-choose popmenue to avilable variables
function Choose_Callback(handles)
	if handles.SelectChoose.value == 1 then
		vari = who_user(%f);
		Choose_Str = "";
		j=1
		for i = 1:size(vari)(1)
			if (typeof(evstr(vari(i))) == "constant" & isvector(evstr(vari(i))))
				Choose_Str(j) = vari(i)
				j = j+1
			end
		end
		if Choose_Str ~= ""
			handles.ChooseX.enable = "on"
			handles.ChooseY.enable = "on"
			handles.ChooseX.string = Choose_Str
			handles.ChooseY.string = Choose_Str
		else
			messagebox("Sorry variable(vector) not found",...
			"Variable not defined","info")
			handles.SelectChoose.value = 0
		end
	else
		ClearData(handles)
	end
endfunction
